Package net.sf.saxon.expr.accum

## Class FailedAccumulatorData

- java.lang.Object
- - net.sf.saxon.expr.accum.FailedAccumulatorData

- All Implemented Interfaces:
    `IAccumulatorData`

      public class FailedAccumulatorData
      extends java.lang.Object
      implements IAccumulatorData

  Represents the values of an accumulator whose evaluation has failed. The error is retained until referenced using accumulator-before() or accumulator-after().

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FailedAccumulatorData​(Accumulator acc, XPathException error)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Accumulator` | `getAccumulator()` | Get the associated accumulator
    `Sequence` | `getValue​(NodeInfo node, boolean postDescent)` | Get the value of the accumulator for a given node

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FailedAccumulatorData

          public FailedAccumulatorData​(Accumulator acc,
                                       XPathException error)

  - ### Method Detail

    - #### getAccumulator

          public Accumulator getAccumulator()

      Description copied from interface: `IAccumulatorData`
      Get the associated accumulator
      Specified by:
        `getAccumulator` in interface `IAccumulatorData`
      Returns:
        the accumulator

    - #### getValue

          public Sequence getValue​(NodeInfo node,
                                   boolean postDescent)
                            throws XPathException

      Description copied from interface: `IAccumulatorData`
      Get the value of the accumulator for a given node
      Specified by:
        `getValue` in interface `IAccumulatorData`
      Parameters:
        `node` - the node in question
        `postDescent` - false if the pre-descent value of the accumulator is required; false if the post-descent value is wanted.
      Returns:
        the value of the accumulator for this node
      Throws:
        `XPathException`